# $Revision: 1.21 $, $Date: 2010/07/08 08:27:29 $
%define	module	proctitle

Summary:	Python module to manipulate the raw 'argv[]' contents of a python process
Summary(pl.UTF-8):	Moduł języka Python do manipulacji argv[] (w tym nazwy procesu)
Name:		python-%{module}
Version:	0.0.2
Release:	7
License:	GPL
Group:		Libraries/Python
Source0:	http://ftp.psychosis.com/python/%{module}-%{version}.tar.gz
# Source0-md5:	0d726d625b2be76458e0600fa79fed78
BuildRequires:	python-devel >= 2.2.1
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module to manipulate the raw 'argv[]' contents of a python
process. Allows to change process name during runtime.

%description -l pl.UTF-8
Moduł języka Python do manipulacji argv[] (w tym także widocznej w np.
w top nazwy procesu).

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitedir}
export PYTHONPATH

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/proctitle
%{py_sitedir}/proctitle/*.py[co]
%attr(755,root,root) %{py_sitedir}/proctitle/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-proctitle.spec,v $
Revision 1.21  2010/07/08 08:27:29  arekm
- release 7

Revision 1.20  2008/10/03 17:55:43  arekm
- release 6

Revision 1.19  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.17  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.16  2004/12/25 15:54:15  saq
- release 5 for rebuild with python 2.4

Revision 1.15  2004/09/06 21:09:16  qboosh
- reverted buggy commit

Revision 1.14  2004/09/06 08:10:34  darekr
- missing files

Revision 1.13  2004/08/31 13:52:36  darekr
- update to 0.0.2

Revision 1.12  2004/08/18 02:33:01  matkor
- Version 0.0.1-4.

Revision 1.11  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.10  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.9  2003/12/01 23:54:53  matkor
- Release 3. Ac rebuild with changed Pythons ABI.

Revision 1.8  2003/08/20 13:11:30  matkor
- Added dir. TODO seems be done.

Revision 1.7  2003/07/02 01:23:08  blues
- cosmetics

Revision 1.6  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/12/02 11:06:25  ankry
- massive cleaning

Revision 1.3  2002/10/20 14:18:29  wrobell
- fixed setup section

Revision 1.2  2002/10/16 09:14:07  wrobell
- added module name macro
- fixed dynamic modules permissions
- adapterized
